49.0
====

GNOME Tweaks 49.0 comes with no changes since 49.rc.

49.rc
=====

GNOME Tweaks 49.rc comes with the following improvements:

* Contributions:
  - widgets: Fix gsettings which are loaded from non-system directories (Evan Welsh)
  - appearance: Display Shell-related errors as a subtitle (Evan Welsh)
  - Ensure GSettingsTweakFontRow saves the updated preference (Evan Welsh)
  - Update links in app metadata (Vaishnavi Nawghare)
  - Add CI (Maximiliano Sandoval)
  - Add metainfo, desktop and gschema tests (Maximiliano Sandoval)
  - Add D-Bus service file (Balló György)
  - flatpak: Allow dconf to work inside sandbox (Maximiliano Sandoval)
  - data: Change component type to "desktop-application" (AsciiWolf)

* Bugs fixed:
  - #223 Ctrl Q does not close the Tweaks application (Danial Behzadi)
  - #481 After update to 46, themes no longer show up despite that the user
    themes extension is enabled (Evan Welsh)
  - #482 Gnome Tweaks 46.beta not saving new font selection (Evan Welsh)

* Translation updates:
  - Basque (Asier Sarasua Garmendia)
  - Belarusian (Vasil Pupkin)
  - Bulgarian (twlvnn kraftwerk)
  - Catalan (Jordi Mas i Hernandez)
  - Chinese (China) (Boyuan Yang, Luming Zh)
  - Czech (Daniel Rusek)
  - Danish (Alan Mortensen)
  - French (Jean-Marc Tissières)
  - Galician (Fran Dieguez)
  - Hebrew (Yaron Shahrabani, Yosef Or Boczko)
  - Hindi (Scrambled 777)
  - Hungarian (Balázs Úr)
  - Indonesian (Andika Triwidada)
  - Japanese (Vyasdev, Seiji Iizuka)
  - Lithuanian (Aurimas Černius)
  - Polish (Piotr Drąg)
  - Portuguese (Hugo Carvalho)
  - Portuguese (Brazil) (Rafael Fontenelle)
  - Romanian (Antonio Marin, Daniel Șerbănescu)
  - Russian (Artur S0)
  - Serbian (Милош Поповић)
  - Slovak (Jozef Gaal)
  - Slovenian (Martin)
  - Spanish (Nelson Ben)
  - Swedish (Anders Jonsson)
  - Ukrainian (Yuri Chornoivan)

46.0
=======

GNOME Tweaks 46.0 is the first stable release of Tweaks to use GTK 4 and libadwaita. The GTK 4 port has been a long-running migration driven by two contributors:
Ezike Ebuka and Maximiliano Sandoval R.

GNOME Tweaks now depends on GTK 4, libadwaita, gsettings-desktop-schemas,
and libgudev.

* Contributions:
  - !53 Search for shell themes in default gnome-shell theme dir (Carlo Lobrano)
  - !94 Support selecting an accel profile for touchpads (Evan Goode)
  - !110 Remove overamplification option (Automeris naranja)
  - !121 Add dark style background option in appearance (Akatsuki Rui)
  - !128 Remove "Disable Touchpad While Typing" (Automeris naranja)
  - !131 Use gnome.post_install in meson (Bobby Rong)
  - !133 Avoid using Gtk.PropertyExpression (Chris Williams)

* Issues closed:
  - #329 "Caps Lock behavior 🡒 Disabled" setting is unintuitive (Automeris naranja)
  - #369 Focus Mode "Secondary-Click" is misnamed (Frank Dana)
  - #408 Let tweaks show up when users search "startup applications" (Vancha)
  - #443 Remove "Legacy Window Titles" tweak (Automeris naranja)
  - #450 Ensure gettext and locale are initialized correctly (Evan Welsh)

* Translation updates:
  - Belarusian (Vasil Pupkin)
  - Chinese (China) (Luming Zh)
  - Czech (Daniel Rusek)
  - Danish (Alan Mortensen)
  - Galician (Fran Dieguez)
  - Georgian (Ekaterine Papava)
  - German (Christian Kirbach, Jürgen Benvenuti)
  - Hebrew (Yosef Or Boczko)
  - Hungarian (Balázs Úr)
  - Occitan (post 1500) (Quentin PAGÈS)
  - Persian (Danial Behzadi)
  - Polish (Piotr Drąg)
  - Romanian (Florentina Mușat)
  - Russian (Artur S0)
  - Spanish (Daniel Mustieles)
  - Swedish (Anders Jonsson)
  - Thai (Aefgh Threenine)
  - Turkish (Sabri Ünal)
  - Ukrainian (Yuri Chornoivan)

46.beta
=======

GNOME Tweaks 46.beta upgrades Tweaks to GTK 4 and libadwaita. The GTK 4 port
has been a long-running migration driven by two amazing contributors:
Ezike Ebuka and  Maximiliano Sandoval R.

GNOME Tweaks now depends on GTK 4, libadwaita, gsettings-desktop-schemas,
and libgudev

* Contributions:
  - !53 Search for shell themes in default gnome-shell theme dir (Carlo Lobrano)
  - !94 Support selecting an accel profile for touchpads (Evan Goode)
  - !110 Remove overamplification option (Automeris naranja)
  - !121 Add dark style background option in appearance (Akatsuki Rui)
  - !128 Remove "Disable Touchpad While Typing" (Automeris naranja)

* Issues closed:
  - #329 "Caps Lock behavior 🡒 Disabled" setting is unintuitive (Automeris naranja)
  - #369 Focus Mode "Secondary-Click" is misnamed (Frank Dana)
  - #408 Let tweaks show up when users search "startup applications" (Vancha)
  - #443 Remove "Legacy Window Titles" tweak (Automeris naranja)

* Translation updates:
  - Belarusian (Vasil Pupkin)
  - Chinese (China) (Luming Zh)
  - Czech (Daniel Rusek)
  - Danish (Alan Mortensen)
  - Galician (Fran Dieguez)
  - Georgian (Ekaterine Papava)
  - German (Christian Kirbach, Jürgen Benvenuti)
  - Hebrew (Yosef Or Boczko)
  - Hungarian (Balázs Úr)
  - Occitan (post 1500) (Quentin PAGÈS)
  - Persian (Danial Behzadi)
  - Polish (Piotr Drąg)
  - Romanian (Florentina Mușat)
  - Russian (Artur S0)
  - Spanish (Daniel Mustieles)
  - Swedish (Anders Jonsson)
  - Thai (Aefgh Threenine)
  - Turkish (Sabri Ünal)
  - Ukrainian (Yuri Chornoivan)

45.0
=======

GNOME Tweaks 45.0 is meant to run alongside GNOME 45.0. This release removes several
features now found in GNOME Settings. There are also some small interface
refreshments in preparation for the GTK4 upgrade. More significantly, the core interface
has been refactored to use layout files.

Thank you to the many translators who have been contributing to Tweaks over the past year,
I know for many of these contributions this release is overdue.

* Contributions:
  - !91 Remove Pointer Location Tweak (Fernando Monteiro)
  - !105 Remove Mouse Acceleration Profiles (Hari Rana)
  - !110 Remove overamplification option (Automeris naranja)

* Issues closed:
  - #404 Remove lock screen wallpaper option (Anthony Ryan)
  - #425 Remove the over-amplification option (sunflowerskater)
  - #447 Remove top bar tweak panel (Fernando Monteiro)

* Translation updates:
  - Abkhazian (Nart Tlisha)
  - Afrikaans (Anthony Ryan)
  - Arabic (Anthony Ryan)
  - Assamese (Anthony Ryan)
  - Basque (Anthony Ryan, Asier Sarasua Garmendia)
  - Belarusian (Anthony Ryan, Vasil Pupkin)
  - Bokmål, Norwegian (Anthony Ryan)
  - Bosnian (Anthony Ryan)
  - Bulgarian (Anthony Ryan, Alexander Shopov)
  - Catalan (Jordi Mas i Hernandez, Anthony Ryan)
  - Chinese (China) (Boyuan Yang, Anthony Ryan)
  - Chinese (Hong Kong) (Anthony Ryan)
  - Chinese (Taiwan) (Anthony Ryan)
  - Croatian (Anthony Ryan)
  - Czech (Anthony Ryan, Daniel Rusek, Marek Černocký)
  - Danish (Anthony Ryan, Alan Mortensen)
  - Dutch (Nathan Follens, Anthony Ryan)
  - English (United Kingdom) (Anthony Ryan, Bruce Cowan)
  - Esperanto (Anthony Ryan)
  - Finnish (Jiri Grönroos, Anthony Ryan)
  - French (Anthony Ryan, Irénée THIRION)
  - Friulian (Fabio Tomat, Anthony Ryan)
  - Galician (Fran Dieguez, Anthony Ryan)
  - Georgian (Ekaterine Papava)
  - German (Jürgen Benvenuti, Anthony Ryan, Christian Kirbach)
  - Greek, Modern (1453-) (Kosmas Martakidis, Anthony Ryan, Efstathios
    Iosifidis)
  - Hebrew (Anthony Ryan, Yosef Or Boczko)
  - Hungarian (Anthony Ryan, Balázs Úr)
  - Icelandic (Anthony Ryan, Sveinn í Felli)
  - Indonesian (Anthony Ryan, Kukuh Syafaat)
  - Interlingue (Olga Smirnova)
  - Italian (Anthony Ryan, Gianvito Cavasoli)
  - Japanese (sicklylife, Anthony Ryan)
  - Karbi (Anthony Ryan)
  - Kazakh (Anthony Ryan, Baurzhan Muftakhidinov)
  - Korean (Anthony Ryan, Seong-ho Cho)
  - Kurdish, Central (Anthony Ryan)
  - Latvian (Anthony Ryan, Rūdolfs Mazurs)
  - Lithuanian (Anthony Ryan, Aurimas Černius)
  - Malay (Anthony Ryan)
  - Malayalam (Anthony Ryan)
  - Nepali (Anthony Ryan, Pawan Chitrakar)
  - Occitan (post 1500) (Anthony Ryan)
  - Panjabi (Anthony Ryan)
  - Persian (Anthony Ryan, MohammadSaleh Kamyab)
  - Polish (Piotr Drąg, Anthony Ryan)
  - Portuguese (Anthony Ryan, Hugo Carvalho)
  - Portuguese (Brazil) (Anthony Ryan)
  - Romanian (Daniel Șerbănescu, Anthony Ryan)
  - Russian (Anthony Ryan, Aleksandr Melman, Sergej A, Олеся Герасименко)
  - Serbian (Anthony Ryan, Марко Костић)
  - Slovak (Anthony Ryan)
  - Slovenian (Anthony Ryan, Matej Urbančič)
  - Spanish (Daniel, Anthony Ryan)
  - Swedish (Anthony Ryan, Anders Jonsson)
  - Tajik (Anthony Ryan)
  - Thai (Anthony Ryan)
  - Turkish (Anthony Ryan, Sabri Ünal)
  - Ukrainian (Yuri Chornoivan, Anthony Ryan)
  - Vietnamese (Ngọc Quân Trần, Anthony Ryan)

42.beta
=======
Beta release.

GNOME Tweaks 42 focuses on removing tweaks which are now duplicated by
Settings. Additionally, Tweaks 42 marks the GTK theme tweak as "Legacy".
In GNOME 42, the "Legacy Applications" setting will only apply to some
GTK3 apps and a limited set of GTK4 apps. Most core GNOME apps will
instead respect the user's dark and light mode preference via libadwaita.
Users interested in theming can continue to do so using more advanced
options such as the GTK_THEME environment variable. 

40.0
=======
Stable release.

GNOME Tweaks 40 brings several bug fixes, support for GNOME 40 settings
changes, and removes GNOME Shell Extensions support. Extensions support
can now be found in the GNOME Extensions app.

The stable release includes a fix causing some installations to not detect
GNOME Shell.

Contributors:
  Thanks to mkrajnak for diagnosing a bug in the beta release!

Translations:
  Thank you to all the translators who've contributed to Tweaks!
  
  In chronological order since the last stable release:

  Bruce Cowan, Hannie Dumoleyn, Seong-ho Cho, Baurzhan Muftakhidinov,
  Asier Sarasua Garmendia, Goran Vidović, Fran Dieguez, emintufan,
  Danial Behzadi, Balázs Meskó, Boyuan Yang, Марко М. Костић (Marko M. Kostić),
  Kjartan Maraas, Jordi Mas, Aurimas Černius, Janvitus, Matej Urbančič,
  sicklylife, Fabio Tomat, Marek Černocký, Enrico Nicoletto, Florentina Mușat,
  Juliano de Souza Camargo, Piotr Drąg, Guillaume Bernard, Andika Triwidada,
  Trần Ngọc Quân, Yuri Chornoivan, Daniel Mustieles García, Cheng-Chia Tseng,
  Dingzhong Chen (FeralMeow), Yosef Or Boczko, Jwtiyar Neriman, Daniel Korostil,
  Andre Klapper, Zander Brown, Sabri Ünal, Dušan Kazik, Charles Monzat,
  Umarzuki Mochlis, Tim Sabsch, Yi-Jyun Pan, Ask Hjorth Larsen

40.beta
=======
Beta release.

GNOME Tweaks 40 brings several bug fixes, support for GNOME 40 settings
changes, and removes GNOME Shell Extensions support. Extensions support
can now be found in the GNOME Extensions app.

* Show the back button when leaflet is folded (Çağatay Yiğit Şahin)
* 'Additional Layout Options' sorted alphabetically (Lukáš Kotek)
* Update to new gsettings-desktop-schemas location (Carlos Garnacho)
* Add Flatpak manifest (Jordan Petridis)
* Drop unused extensions support (Florian Müllner)
* Port to libhandy 1.0 (Xi Ruoyao)

* Use Gtk.HeaderBar instead of Handy.HeaderBar. (Evan Welsh)
* Adapt flatpak manifest to new dependencies. (Evan Welsh)
* Fix margins in startup application selector. (Evan Welsh)
* Add notice for Extensions removal. (Evan Welsh)
* Fix default window sizing and requests. (Evan Welsh)

Contributors:
 Evan Welsh, Xi Ruoyao, Florian Müllner, Jordan Petridis, Carlos Garnacho,
 Lukáš Kotek, Çağatay Yiğit Şahin

Translations:
 Due to the long release gap I'll be compiling all the translation credits
 for the stable release.

3.34.0
=======
Stable release.

* Update gsettings schema for the Activities Overview Hot Corner (Jeremy)
* Fix an assertion with the new libhandy integration (Çağatay)

Contributors:
 Jeremy Bicha, Çağatay Yiğit Şahin

Translations:
 Jordi Mas [ca], Marek Černocký [cs], Christian Kirbach [de]
 Efstathios Iosifidis [el], Daniel Mustieles [es], Asier Sarasua Garmendia [eu]
 Danial Behzadi [fa], Jiri Grönroos [fi], Claude Paroz [fr], Fabio Tomat [fur]
 Fran Dieguez [gl], Balázs Úr [hu], Goran Vidović [hr], Kukuh Syafaat [id]
 Gianvito Cavasoli [it], Ryuta Fujii [ja], Seong-ho Cho [ko]
 Aurimas Černius [lt], Rūdolfs Mazurs [lv], Nathan Follens [nl]
 A S Alam [pa], Piotr Drąg [pl], Rafael Fontenelle [pt_BR], Matej Urbančič [sl]
 Марко Костић [sr], Sabri Ünal [tr]

3.33.90
=======
Development release.

* Use libhandy so the app displays better on narrower screens (Çağatay)
* Drop obsolete Application Menu tweak (Florian)
* Update GTK+ to GTK (Piotr)
* Adapt to GNOME 3.33/3.34 gsettings schema changes (Olivier)

Contributors:
 Piotr Drąg, Olivier Fourdan, Florian Müllner, Çağatay Yiğit Şahin

Translations:
 Jordi Mas [ca], Jeroen van der Tuin [es], Charles Monzat [fr],
 Goran Vidović [hr], Florentina Mușat [hu], Sveinn í Felli [is],
 J T [mjw], Anders Johnson [ro], Daniel Korostil [uk],
 Mingcong Bai [zh_CN]

3.32.0
======
Stable release.

Translations:
 Jordi Mas [ca], Alan Mortensen [da], Tim Sabsch [de],
 Asier Sarasua Garmendia [eu], Charles Monzat [fr], Sveinn í Felli [is],
 Gianvito Cavasoli [it], Seong-ho Cho [ko], Baurzhan Muftakhidinov [kz],
 Aurimas Černius [lt], Rūdolfs Mazurs [lv], Nathan Follens [nl],
 Piotr Drąg [pl], Rafael Fontenelle [pt_BR], Stas Solovey [ru],
 Марко Костић [sr], Yi-Jyun Pan [zh_TW],

3.31.90
=======
Development release.

* App icon refresh (Jakub)
* Enable F10 hotkey for app menu (Jeremy)
* Fix crash when changing any option in Additional Layout Options
  after closing the dialog at least once (Carlos)

Contributors:
 Jeremy Bicha, Carlos Soriano, Jakub Steiner

Translations:
 Pieter Schalk Schoeman [af], Marek Cernocky [cs], Efstathios Iosifidis [el]
 Daniel Mustieles [es], Jiri Grönroos [fi], Charles Monzat [fr],
 Fabio Tomat [fur], Fran Dieguez [gl], Kukuh Syafaat [id],
 Balázs Úr [hu], Ryuta Fujii [ja], Daniel Șerbănescu [ro]
 Anders Jonsson [sv], Sabri Ünal [tr]

3.31.3
======
Development release.

* Fix running Tweaks outside of GNOME Shell (Alberts)
* Update menus for GNOME 3.32 recommendations (Bilal)
* Adjust Application ID to match the .desktop (Bilal)

Contributors:
 Bilal Elmoussaoui, Alberts Muktupāvels

Translations:
 Carmen Bianca BAKKER [eo], Anish Sheela [ml], Kjartan Maraas [nb],
 Matej Urbančič [sl], Cheng-Chia Tseng [zh_TW]

3.31.1
======
Development release.

* Redesign the app icon (Sam)
* Mention in README that sound-theme-freedesktop is required (Jeremy)
* Code cleanup for pycodestyle compliance (Danish)

Contributors:
 Jeremy Bicha, Sam Hewitt, Danish Prakash

Translations:
 Marionauta [es], Марко Костић [sr]

3.30.2
======
Stable release.

* Fix running Tweaks outside of GNOME Shell (Alberts)
* Mention in README that sound-theme-freedesktop is required (Jeremy)

Contributors:
 Jeremy Bicha, Alberts Muktupāvels

Translations:
 Carmen Bianca BAKKER [eo], Anish Sheela [ml], Kjartan Maraas [nb],
 Dušan Kazik [sk], Марко Костић [sr], Cheng-Chia Tseng [zh_TW]

3.30.1
======
Stable release.

* Fix visual glitch by making rows non-activatable by default (Carlos)
* Use dim-label for Shell extension descriptions instead of hardcoded color
  (Jeremy)

Contributors:
 Jeremy Bicha, Carlos Soriano

Translations:
 Khaled Hosny [ar], Tom Tryfonidis [el], Daniel Mustieles [es],
 Gianvito Cavasoli [it], Stas Solovey [ru], Matej Urbančič [sl],
 Sebastian Rasmussen [sv]

3.30.0
======
Stable release.

* Show Over-Amplification in the Pop session (Jeremy)

Contributors:
 Jeremy Bicha

Translations:
 Alan Mortensen [da], Fran Dieguez [gl], gogo [hr],
 Balázs Meskó [hu], Rūdolfs Mazurs [lv],

3.29.92
=========
Development release.

* Fix too small window when unmaxizing (Bharat)
* Move General panel to the top of the sidebar (Danish)
* Minor adjustments to order in top bar panel (Jeremy)
* Don't show Over-Amplification when running the Ubuntu or Pop sessions
  (Jeremy)

Contributors:
 Jeremy Bicha, Bharat kalluri, Danish Prakash

Translations:
 Yuras Shumovich [be], Marek Cernocky [cs], Efstathios Iosifidis [el],
 Bruce Cowan [en_GB], Jiri Grönroos [fi], Claude Paroz [fr],
 Hannie Dumoleyn [nl], Kukuh Syafaat [id], Seong-ho Cho [ko],
 Rafael Fontenelle [pt_BR], Daniel Șerbănescu [ro], Cheng-Chia Tseng [zh_TW]

3.29.91.1
=========
Development release.

* Trivial URL updates (Jeremy)

Contributors:
 Jeremy Bicha

Translations:
 Mario Blättermann [de], Fabio Tomat [fur], Baurzhan Muftakhidinov [kk],
 Piotr Drąg [pl], Aurimas Černius [lt], Emin Tufan Çetin [tr],
 Yi-Jyun Pan [zh_TW]

3.29.90.1
=========
Development release.

* Add Weekday on/off switch for the clock in the top bar
  NOTE: This feature requires gnome-desktop >= 3.29.90.1 to work correctly.

Contributors:
 Jeremy Bicha

3.29.90
=======
Development release.

* Move Animations, Power, and Sound to new General panel (Jeremy, Emmanuele)
* Add Sound theme chooser to Appearance panel (Lukáš)
* Extend font labels for clarify ("Interface text" instead of "Interface",
  etc.) (Jeremy)
* Rename "Sloppy" window focus to "Focus on Hover" (Jeremy)
* Drop custom handler and use new glib per-session overrides (Florian)
  NOTE: This feature requires glib >= 2.57.2 to work correctly.

Contributors:
 Emmanuele Bassi, Jeremy Bicha, Florian Müllner, Lukáš Tyrychtr

Translations:
 Daniel Mustieles [es], Fabio Tomat [fur], Kukuh Syafaat [id],
 Daniel Șerbănescu [ro], Mingcong Bai [zh_CN], Yi-Jyun Pan [zh_TW],

3.29.2
======
Development release.

* Add Center New Windows and Edge Tiling tweaks
* Split Window Titlebars section to separate panel
* font: Rename Window Title to Legacy Window Title
  since it doesn't affect client-side decorations

Contributors:
 Jeremy Bicha

Translations:
 Yuras Shumovich [be], Marek Černocký [cs], Daniel Mustieles [es],
 Fabio Tomat [fur], Fran Dieguez [gl], Rafael Fontenelle [pt_BR],
 Matej Urbančič [sl]

3.28.1
======
Stable release.

* Show Activities Overview Hot Corner switch if the gnome-shell
  gsettings schema is installed (Jeremy)

Contributors:
 Jeremy Bicha

Translations:
 Pieter Schalk Schoeman [af], Khaled Hosny [ar], Jordi Mas [ca]
 Stas Solovey [ru], Dušan Kazik [sk], Matej Urbančič [sl],
 Boyuan Yang [zh_CN]

3.28.0
======
Stable release.

Translations:
 Rūdolfs Mazurs [lv],  Anders Jonsson [sv]

3.27.92
=======
Release candidate.

* Install the Desktop panel again (Simon)
* Only show the Desktop panel if Nautilus < 3.27 is installed (Simon)
* Fix a crash when schemas are missing (like the Nautilus schemas) (Simon)
* Add provides tag for old AppStream ID (Jeremy)

Contributors:
 Jeremy Bicha, Simon McVittie

Translations:
 Marek Černocký [cs], Alan Mortensen [da], Mario Blättermann [de],
 Efstathios Iosifidis [el], Guillaume Bernard [fr], Fran Diéguez [gl],
 Goran Vidović [hr], Gianvito Cavasoli [it], Baurzhan Muftakhidinov [kk]
 Seong-ho Cho [ko], Aurimas Černius's [lt], Nathan Follens & 
 Justin van Steijn [nl],  Cédric Valmary [oc], Stas Solovey [ru],
 Милош Поповић [sr], Милош Поповић [sr@latin], Emin Tufan Çetin [tr],
 Cheng-Chia Tseng [zh_TW]

3.27.90.2
=========
Development release.

* Install new sound panel. Note that the sound panel will only show
  if you have gsettings-desktop-schemas >= 3.27.90 installed. (Didier)
* Rename a few more things to GNOME Tweaks (Jeremy)

Contributors:
 Jeremy Bicha, Didier Roche

Translations:
 Daniel Mustieles García [es], Fabio Tomat [fur]

3.27.90
=======
Development release.

* Redesign 'Mouse Click Emulation' section. Note that GNOME 3.28 switches
  the default to 'Fingers'. Previously, it was 'Area' for most laptops.
  (Jeremy)
* Move Background & Lock Screen tweaks from Desktop to Appearance. (Jeremy)
* Don't install the Desktop panel. Distros that are keeping Nautilus 3.26
  should uncomment the line in gtweak/meson.build to revert this change
  for their distro. (Jeremy)

Contributors:
 Jeremy Bicha, Piotr Drąg

Translations:
 Gil Forcada [ca], Jiri Grönroos [fi], Balázs Meskó [hu]
 Kukuh Syafaat [id], Piotr Drąg [pl], Rafael Fontenelle [pt_BR]

3.27.4
======
Development release.

* This release renames the source tarball, binary, icons,
  .desktop and AppStream metadata to GNOME Tweaks. The
  user visible name was already changed for 3.26. (Jeremy)
* The development repository and bug tracker have moved to
  https://gitlab.gnome.org/GNOME/gnome-tweaks (Carlos)
* Don't show duplicate cursor theme names (Jan)
* Add Sound panel with Over-Amplification tweak. This
  tweak (and panel) will only appear if run with
  gsettings-desktop-schemas 3.27.2+. (Didier)
* Add logo.png and update README.md for GitLab (Jeremy)
* Support XDG_DATA_DIRS for themes and icons (Jascha)
* Support XDG_DATA_DIRS for gsettings schemas (Luca)

Contributors:
 Jeremy Bicha, Luca Bruno, Jascha Geerds, Didier Roche,
 Carlos Soriano,Jan Tojnar

Translations:
 Tim Sabsch [de], Daniel Mustieles [es], Jiri Grönroos [fi],
 Fabio Tomat [fur], Balázs Meskó [hu], Stas Solovey [ru],
 Matej Urbančič [sl], Anders Jonsson [sv], Cheng-Chia Tseng [zh_TW]

3.27.3
======
Development release.

* Translation updates

Translations:
 Kukuh Syafaat [id], Kjartan Maraas [nb],
 Muhammet Kara & Nurperi Utlu [tr]

3.27.2
======
* Remove Global Dark Theme tweak. The option will be turned off when
  the Applications theme is changed. (Jeremy)
* Stop requiring a GTK2 theme for Applications theme switcher. (Jeremy)
* Offer HighContrastInverse theme. (Jeremy)
* Don't show duplicate theme names. (Jeremy)
* Use string.format() instead of printf formatting (Khaled)
* Update copyright headers for REUSE Initiative Best Practices. (Jeremy)
* Update AppStream metadata. (Jeremy)
* Rename README to README.md. (Jeremy)

Contributors:
 Jeremy Bicha, Khaled Hosny

Translations:
 Khaled Hosney [ar], Marek Cernocky [cs], Tim Sabsch [de],
 Fabio Tomat [fur], gogo [hr], Борисав Живановић [sr]

3.26.4
======
New bugfix release.

* Stop requiring a GTK2 theme for Applications theme switcher. (Jeremy)
* Offer HighContrastInverse theme. (Jeremy)
* Don't show duplicate theme names. (Jeremy)

Contributors:
 Jeremy Bicha

Translations:
 Khaled Hosney [ar], gogo [hr], Hannie Dumoleyn [nl],
 Борисав Живановић [sr], Kjartan Maraas [nb], Muhammet Kara [tr]

3.26.3
======
New bugfix release.

* README: Mention that nautilus gsettings schemas are required (Jeremy)

Contributors:
 Jeremy Bicha

Translations:
 Xavi Ivars [ca@valencia], Marek Cernocky [cs], Christian Kirbach [de],
 Tom Tryfonidis [el], Matej Urbančič [sl], Aron Xu [zh_CN]

3.26.2.1
========
Release with correct source.

3.26.2
======
New bugfix release.

* Don't offer emoji support in search boxes (Jeremy)

Contributors:
 Jeremy Bicha

Translations:
 Efstathios Iosifidis [el], Arash Mousavi [fa], Fran Dieguez [gl]

3.26.1
======
New bugfix release.

* Fix enabling and disabling GNOME Shell extensions (Jeremy Soller)
* Fix Workspace tweaks in GNOME Shell and "modes" (Jeremy Bicha)
* Hide Workspaces panel if GNOME Shell isn't running (Jeremy Bicha)
* Add "Activities Overview Hot Corner" tweak. This is disabled by default
  because it requires a patch from #688320 that hasn't been committed yet.
  (Jeremy Bicha)

Contributors:
 Jeremy Bicha, Jeremy Soller

Translations:
 Marek Cernocky [cs], Jiri Grönroos [fi], Fabio Tomat [fur],
 Kukuh Syafaat [id], Aurimas Černius [lt], Piotr Drąg [pl],
 Rafael Fontenelle [pt_BR],  Dušan Kazik [sk], Matej Urbančič [sl],
 Anders Jonsson [sv], Cheng-Chia Tseng [zh_TW],

3.26.0
======
New major stable release.

Translations:
 Alexander Shopov [bg], Alan Mortensen [da], Bruce Cowan [en_GB],
 Alexandre Franke [fr], Balázs Úr [hu], Gianvito Cavasoli [it],
 Jiro Matsuzawa [ja], hanniedu [nl], Anders Jonsson [sv],
 Trần Ngọc Quân [vi]

3.25.92
=======
* Fix linking to GNOME Software from Extensions page (Jeremy)
* Note that gnome-shell schemas >= 3.24 are required (Jeremy)

Contributors:
 Jeremy Bicha

Translations:
 Alexander Shopov [bg], Hjorth Larsen [da], Wolfgang Stöggl [de]
 Jiri Grönroos [fi], gogo [hr], Seong-ho Cho [ko], Rūdolfs Mazurs [lv]
 Piotr Drąg [ne], Rafael Fontenelle [pt_BR], Dušan Kazik [sk],
 Cheng-Chia Tseng [zh_TW]

3.25.91
=======
* Don't add appmenu to windows buttons if it's already there (Jeremy)
* Prompt to log out when changing Application Menu setting (Jeremy)

Translations:
 Fran Dieguez [gl], gogo [hr], Gábor Kelemen [hu], Aurimas Černius [lt],
 Athul R T [ml], Pawan Chitrakar [ne], Piotr Drąg [pl],
 Милош Поповић [sr] [sr@latin], Милош Поповић [sr@latin],
 Furkan Tokaç [tr]

3.25.90.1
=========
* Fix vertical scrollbar placement (António)
* Restore redesigned Window Focus Mode listbox (Jeremy)

Contributors:
 Jeremy Bicha, António Fernandes

3.25.90
=======
* Remove Power Button setting; this feature is now in gnome-control-center
  3.25.90+ (Jeremy)
* Don't show HiDPI setting; use gnome-control-center 3.25.90+ instead (Jeremy)
* Revert Focus Mode listbox to 3.24 combobox to eliminate vertical scrolling
  (Jeremy)
* Rename /usr/bin/gnome-tweaks back to /usr/bin/gnome-tweak-tool (Jeremy)
* Add '--version' option to /usr/bin/gnome-tweak-tool (Alexander)
* Make notification string translatable (Piotr)

Contributors:
 Jeremy Bicha, Piotr Drąg, Alexander Rüedlinger

Translations:
 Marek Cernocky [cs], Jordi Mas [ca], Daniel Mustieles [es],
 Fabio Tomat [fur], Fran Dieguez [gl], gogo [hr], Kukuh Syafaat [id]
 Aurimas Černius [lt], Baurzhan Muftakhidinov [kk], Matej Urbančič [sl]

3.25.4
======
* Rename app to GNOME Tweaks (Alberto)
* Rename binary to gnome-tweaks (Alberto)
* Only allows numbers in Hi-DPI entry box (Jeremy)

Contributors:
 Jeremy Bicha, Alberto Fanjul

Translations:
 Mario Blättermann [de], Fabio Tomat [fr],  Kukuh Syafaat [id],
 Dušan Kazik [sk]

3.25.3
======
* Move Typing panel to Additional Layout Options dialog in
  Keyboard & Mouse (Jeremy)
* Move Compose Key setting to Keyboard & Mouse dialog (Jeremy)
* Convert some settings to ListBoxes (Jeremy)
* Several other UI tweaks to match Design Team mockup (Alberto, Jeremy)
* Only show Top Bar page and Overview Shortcut if GNOME Shell is running
  (Jeremy)
* Enable 'appmenu' window button when disabling App Menu (Jeremy)
* Use Ubuntu sort order for Left placement of window buttons (Jeremy)
* Fix "blank slate" for Extensions page (Florian)
* Drop build-time checks for run-time dependencies (Patrick)
  Distributors, please see README for run-time dependencies
* Consistently use /usr/bin/env python3 shebangs (Patrick)
* Rewrite post-install script in Python (Patrick)
* Handle SIGINT (Ctrl+C) (Alex)

Contributors:
  Jeremy Bicha, Alberto Fanjul, Patrick Griffis, Rui Matos,
  Alex Muñoz, Florian Müllner

Translations:
 Jordi Mas [ca], Daniel Mustieles [es], Fabio Tomat [fur],
 Gábor Kelemen [hu], Kukuh Syafaat [id], Baurzhan Muftakhidinov [kk],
 Aurimas Černius [lt]

3.25.2
======
* Add "Battery Percentage" tweak (Alberto)
* Add "Disable While Typing" tweak (Rui)
* Add Left/Right Placement tweak for window buttons (Jeremy)
* Update About to show Tweak Tool and GTK+ versions (Jeremy)
* Add "blank slate" for Extensions page (Florian)
* Remove support for installing and uninstalling extensions since
  GNOME Software handles this since 3.22 (Florian)
* Other UI tweaks to Extensions page (Florian)
* Many UI tweaks suggested by Allan Day (Jeremy)
* Misc code cleanup (Jeremy)
* Use Unicode in translatable strings (Piotr)
* Create config directories as necessary (Florian)
* Install appstream metadata to /usr/share/metainfo/ (Jeremy)
* Switch from python2 to python3 (Ikey)
* Switch from autotools to meson (Florian)
* Drop intltool dependency (Florian)

Contributors:
  Jeremy Bicha, Ikey Doherty, Piotr Drąg, Alberto Fanjul, Rui Matos,
  Florian Müllner

Translations:
 Mario Blättermann and Florian Heiser [de], Daniel Mustieles [es],
 Fabio Tomat [fur], gogo [hr], Balázs Úr [hu], Kukuh Syafaat [id],
 Baurzhan Muftakhidinov [kk], Aurimas Černius [lt], Tiago Santos [pt],
 Matej Urbančič [sl], Furkan Ahmet Kara [tr]

3.24.1
======
* Fix search (Rui)
* Fix running Tweak Tool if GNOME Shell is not running
* Only show Top Bar panel if GNOME Shell is running (Jeremy)
* Create config directories as necessary (Florian)
* Explicitly use python2 shebang
* Handle SIGINT (Alex)
* Require gnome-settings-daemon 3.23.3+ and pygobject 3.10+ (Jeremy)

Contributors:
  Jeremy Bicha, Rui Matos,  Florian Müllner, Alex Muñoz

Translations:
 gogo [hr], Tiago Santos [pt]

3.24.0
  * Add a gnome-shell extensions "kill switch"
  * Make Gtk/EnablePrimaryPaste also configurable on wayland
  * Translation updates

3.22.0
  * Add XKB options that are not in the 3.22 Keyboard panel
  * Translation updates

3.21.91
  * Add a mouse acceleration profile tweak
  * Add a proper title to the main window
  * Use the new org.gnome.desktop.calendar schema
  * Fix screenshot link in appdata
  * Translation updates

3.20.1
  * Support versioned Gtk3 themes
  * Support multiple selection XKB options
  * Translation updates

3.20.0
  * Reduce the amount of logging we do by default
  * Translation updates

3.19.90
  * Update the AppData file to 0.7+ and add some missing data
  * Translation updates

3.19.1
  * Restore ‘Power button action’ setting
  * Use selected font on font selector buttons
  * Drop dependency on SoupGNOME
  * Translation updates

3.18.1
  * Fixed a crash with some values in the
    org.gnome.desktop.wm.preferences button-layout key
  * Avoid pygobject unversioned import warnings
  * Translation updates

3.18.0
  * Avoid GSettings aborting when missing classic overrides schema
  * startup: Honor disabled user autostart files
  * Translation updates

3.17.90
  * Add a click method tweak for touchpads
  * Translation updates

3.17.1
  * Several usability improvements in the startup tab and application
    chooser
  * Provide a symbolic variant of the app icon
  * Add a way to inhibit systemd's default behavior on lid close
  * Removed a couple of XKB options that aren't supported in GNOME
  * Switch to expanders and radio buttons instead of combo boxes for
    the XKB options
  * Translation updates

3.16.0
  * Translation updates

3.15.92
  * Add "Enable Animations" entry in Appearance group
  * Make tweak-group and tweak have a transparent background
  * Use the proper gsetting for "Automatically Raise Windows"
  * Maximize the window on small screens
  * Take other buttons into account when changing button layout
  * Translation updates

3.15.90
  * Use the correct default for icon-themes (Matthias Clasen)
  * interface: Remove WindowTheme tweak (Florian Müllner)
  * Add a confirmation message when changing HiDPI (Gian Mario Tagliaretti)
  * Change Right/Left super shortcut name (Robert Roth)
  * ShellExtension: fix extension prefs button style (Trinh Anh Ngoc)
  * Automatically search when unhandled keyboard input is detected (Isaac Lenton)
  * Implemented search functionality for startup applications (Isaac Lenton)
  * Translation updates

3.14.2
  * startup: Fix check for running executables (Rui Matos)
  * tweakview: Update decorations on settings changes (Florian Müllner)
  * windows: Stop overriding the Gtk/DecorationLayout xsetting (Florian Müllner)
  * Remove the use of deprecated properties (Dominique Leuenberger)
  * Make the window a bit taller (Matthias Clasen)
  * startup: Sort application selection list alphabetically (Rui Matos)
  * GTK+ required version bump to 3.12 (Gian Mario Tagliaretti)
  * Translation updates

3.14.0
  * Fix missed function rename, deprecation warnings (Gian Mario Tagliaretti)
  * Fix some more positional arguments (Rui Matos)
  * Translation updates (ne, pa, sv, uk)

3.13.92
  * Disable the menubar (Florian Müllner)
  * Fix KeyError when extensions with no version are installed (Petr Kocandrle)
  * Stop using positional arguments with the GObject constructor (Dominique Leuenberger)
  * Fix a string that wasn't translated (Gabor Kelemen)
  * Translation updates (many)

3.12.0
  * Add Gdk/WindowScalingFactor tweak
  * Remove non-functional help menu
  * Support CSD windows with header bars (Alex)
  * Support changing shell overlay keyboard shorcut (Alex)
  * Support changing shell lock screen background (Alex)
  * Fix CSD header bar (Yosef)
  * Fix background color of startup apps tab (Alex)
  * Fix icon theme detection (Mattias)
  * Add another digit for font size tweaks
  * Allow localized searches
  * More robust startup application handling (Mike FABIAN)
  * Translation updates (many)

3.10.0
  * Fix appdata file (Richard Hughes <richard@hughsie.com>)
  * Translation updates

3.9.92
  * Fix CSD decorations (Yosef Or Boczko)
  * Ship an appdata file (Alex)
  * Make titlebar buttons match mockups (more) (Alex)
  * Startup applications tidy ups (Giovanni Campagna <gcampagn@redhat.com>)

3.9.91
  * Make titlebar buttons match mockups
  * Make workspace creation match mockups
  * Improve search results for gsettings tweaks
  * Translation updates

3.9.90
  * Complete UI redesign based on GNOME3 (Allan Day, John Stowers, Alex Muñoz)
  * Allow updating extensions from inside tweak tool (Alex Muñoz, 696948)
  * Show text in tooltip when label is ellipsized (Robin Stocker, 704149)
  * Reluctantly make window resizable (Robin Stocker, 704149)
  * Specialized ui for certain tweaks
  * Tweaks can depend on other tweaks being enabled
  * Add XSettings related tweaks (middle mouse paste, appplication menu)
  * Add startup application management
  * Offer to logout user when tweaks require the session restarted 
  * Better tweak names and descriptions (manage our own translations
    instead of getting all from gsettings)

3.8.1
  * Use extension specific paths to find pref.js (Ralph Bean, 697685)
  * Dont look in ~/.themes for metacity themes (John Stowers, 693350)
  * Add groups only if they have tweaks (Joaquim Rocha, 699572)
  * Work with gnome-shell classic mode (Florian Mullner, 701760)

3.8.0
  * Fix manual extension installation (John Stowers)
  * Add tweak for window raise-on-click (John Stowers, 696890)
  * Don't crash if gnome-shell is not running/installed (John Stowers, 696683)
  * List extensions alphabetically (Thomas Leberbauer, 695170)
  * Allow uninstalling / deleting extensions (Alex Muñoz, 695983)
  * Show all XKB options except the ones in control center (Rui Matos, 691381)
  * Fix g-t-t running in classic mode (Rui Matos, 694808)
  * Translation updates

3.7.4
  * Find a theme from XDG base directory spec (Jihyun Cho, 688028)
  * Add keywords to the .desktop file (Tim Lunn, 687949)
  * Honor different gnome-shell modes on relevant tweaks (Debarshi Ray, 689358)
  * Add desktop background options (John Stowers, 689299)
  * Add Pantheon to OnlyShowIn (John Stowers, 684097)
  * Show the XKB option group description (Rui Matos, 678171)
  * Use the new laptop lid policy in xrandr (John Stowers, 688814)
  * Several code clean ups (John Stowers)
  * Translation updates

3.6.1
  * Translation updates
  * Add a Mouse group with the locate-pointer key (Rui Matos, bug 685620)
  * Add tweak for resize-with-right-button on Windows group (Rui, bug 678648)
  * Add tweak for resize-with-right-button on Windows group (Rui, bug 678648)
  * Add tweak for mouse-button-modifier on Windows group (Rui, bug 678648)

3.6.0
  * Can configure extension preferences
  * Support input sources (Rui Matos, bug 684712)
  * Support typing options (Rui Matos, bug 678171)
  * Many translation improvements (Giovanni Campagna, bug 683630)
  * Support power-button action (Debarshi Ray)

3.5.5
  * Now appear as "Tweak Tool" in (bug 678778)
  * Fix incompatibility with new gnome-shell extensions (Alban Browaeys, bug 678778)

3.5.4
  * Update icon (bug 649359)
  * Fix appearance of tweaks to no longer have a white background
  * Remove welcome image and start with a tweakgroup selected by default
  * Add link to extensions.gnome.org

3.5.0
  * Work with new gnome shell dbus interface

3.4.0
  * Translation updates
  * Fix user-theme shell extension support (Giovanni Campagna, bug 675106)
    NOTE: this requires pygobject >= 3.2.1
  * Support workspaces only on primary
  * Support static workspaces
  * Change widget for text-scaling-factor to SpinButton
  * Add nautils always-use-location-entry
  * Change widget for text-scaling-factor to SpinButton (Robin Stocker, bug 650660)
  * Dont crash on missing schemas (bug 647132)

3.3.4
  * Adapt to Metacity/Mutter/Shell ported to GSettings
  * Adapt to GNOME Shell 3.4 DBus interface

3.2.2
  * Dont die on malformed schemas

3.2.1
  * Translation updates
  * Ellipsize long strings - should fix window size issues (bug 649520)

3.2.0
   * Translation updates

3.1.90
   * Adopt GNOME version numbering - it is easier to remember
   * Rename some tweak groups, File Manager -> Desktop, etc
   * Fix build against PyGObject-3
   * Improve search results
   * Support GNOME Shell 3.2 extensions

3.1.0
   * Change tweakgroup architecture, tweaks in different files can appear in the same
     categories now; move window border theme to interfaces
   * Tweaks can now override summary/description usually obtained from gconf/gsettings
   * Mark many strings as translatable.
   * Now appears as 'Advanced Settings' in GNOME shell search
   * Add a -v,--verbose option that prints changed settings
   * Add - -d,--debug option
   * Add Unity to OnlyShowIn

3.0.5
   * More autostart desktop file fixes. Try harder to autostart nautilus when
     tweaking desktop handling.
   * Appearance improvements (theme install, sorted combo boxes)
   * Tweak window focus mode (focus follows mouse)
   * Tweak desktop item visibility with more control (show trash, show computer etc)
   * Dont offer to restart shell multiple times when enabling extensions

3.0.4
   * Support system wide themes (bug 648751)
   * Fix duplicate themes (bug 649687)
   * A theming specification for shell themes has been developed and agreed upon
     by a number of theme authors. If installing a theme matching this specification
     show the appropriate name
     http://www.fpmurphy.com/public/gnome_theme_packaging_spec_d2.txt
   * Support management of Shell extensions (in home directory)

3.0.3
   * Autostart nautilus at login if it is configured to show
     desktop icons (bug 648087)
   * Improved robustness for missing theme/icon
     directories (bug 648735)
   * Fix shell theme installation for themes found in the wild
   * Improve shell theme selection

3.0.2
   * Really tweak window theme - both the fallback and the
     shell metacity/mutter theme
   * Fix attribution of data/welcome.png

3.0.1
   * Fix localization
   * Tweak window theme
   * Tweak week date in calendar (Emmanuele Bassi)
   * Tweak cursor themes (Andrea Fagiani)
   * Support user installed themes in $HOME (Andrea Fagiani)
   * Remove org.gnome.desktop.background draw-backgroud tweak, it
     should never be false

3.0.0
   * First stable release
   * Enable icon theme selection
   * Tweak font antialiasing
   * Support l10n

2.91.93
    * Add license (GPL3)
    * Tweak shell clock to show date
    * Tweak font hinting

2.91.92
    * Initial Release
    * Support shell theme change and installation
    * Tweak gtk theme
    * Tweak the user-interface and titlebar fonts
    * Tweak icons in menus and buttons
    * Tweak behavior on laptop lid close
    * Tweak shell font size
    * Tweak file manager desktop icons
    * Tweak titlebar click action 
